-----------LOBÃOGAMER----------


local screenW,screenH = guiGetScreenSize()
local resW, resH = 1024,768
local x, y = (screenW/resW), (screenH/resH)
local components = { "area_name", "radio", "vehicle_name" }

function lobaoHud ( ... )
    if (not isPlayerMapVisible()) then

        local Dinheiro = getPlayerMoney(localPlayer)
        local Banco = getElementData(localPlayer, "mbank") or "0"
        local weapon = getPedWeapon(getLocalPlayer())
	    local weaponClip = getPedAmmoInClip(getLocalPlayer(), getPedWeaponSlot(getLocalPlayer()))
	    local weaponAmmo = getPedTotalAmmo(getLocalPlayer()) - getPedAmmoInClip(getLocalPlayer())
        local vida = math.floor(getElementHealth(getLocalPlayer()))
        local colete = math.floor(getPedArmor(getLocalPlayer()))
        local fome = getElementData(getLocalPlayer(), "AirNewSCR_Fome") or 0
        local sede = getElementData(getLocalPlayer(), "AirNewSCR_Sede") or 0
       
        dxDrawRectangle(screenW * 0.2207, screenH * 0.7331, screenW * 0.1172, screenH * 0.0313, tocolor(0, 0, 0, 138), false)
        dxDrawRectangle(screenW * 0.2207, screenH * 0.7773, screenW * 0.1172, screenH * 0.0313, tocolor(0, 0, 0, 138), false)
        dxDrawRectangle(screenW * 0.2207, screenH * 0.8216, screenW * 0.1172, screenH * 0.0313, tocolor(0, 0, 0, 138), false)
        dxDrawRectangle(screenW * 0.2207, screenH * 0.8659, screenW * 0.1172, screenH * 0.0313, tocolor(0, 0, 0, 138), false)
        dxDrawImage(screenW * 0.2246, screenH * 0.7331, screenW * 0.0244, screenH * 0.0273, "files/Icons/Vida.png", 0, 0, 0, tocolor(211, 1, 1, 254), false)
        dxDrawImage(screenW * 0.2207, screenH * 0.7786, screenW * 0.0332, screenH * 0.0299, "files/Icons/Colete.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
        dxDrawImage(screenW * 0.2207, screenH * 0.8216, screenW * 0.0283, screenH * 0.0352, "files/Icons/Fome.png", 0, 0, 0, tocolor(189, 115, 27, 254), false)
        dxDrawImage(screenW * 0.2148, screenH * 0.8659, screenW * 0.0400, screenH * 0.0313, "files/Icons/Sede.png", 0, 0, 0, tocolor(16, 102, 199, 254), false)
        dxDrawText("Vida : "..vida.."%", screenW * 0.2520, screenH * 0.7357, screenW * 0.3281, screenH * 0.7604, tocolor(255, 255, 255, 255), 1.00, "default-bold", "center", "center", false, false, false, false, false)
        dxDrawText("Colete : "..colete.."%", screenW * 0.2539, screenH * 0.7786, screenW * 0.3301, screenH * 0.8034, tocolor(255, 255, 255, 255), 1.00, "default-bold", "center", "center", false, false, false, false, false)
        dxDrawText("Fome : "..fome.."%", screenW * 0.2549, screenH * 0.8216, screenW * 0.3311, screenH * 0.8464, tocolor(255, 255, 255, 255), 1.00, "default-bold", "center", "center", false, false, false, false, false)
        dxDrawText("Sede : "..sede.."%", screenW * 0.2549, screenH * 0.8698, screenW * 0.3311, screenH * 0.8945, tocolor(255, 255, 255, 255), 1.00, "default-bold", "center", "center", false, false, false, false, false)
        dxDrawRectangle(screenW * 0.2207, screenH * 0.9102, screenW * 0.1680, screenH * 0.0286, tocolor(0, 0, 0, 126), false)
        dxDrawRectangle(screenW * 0.2207, screenH * 0.9453, screenW * 0.1680, screenH * 0.0286, tocolor(0, 0, 0, 126), false)
        dxDrawImage(screenW * 0.2207, screenH * 0.9102, screenW * 0.0273, screenH * 0.0273, "files/Icons/Dinheiro.png", 0, 0, 0, tocolor(2, 140, 35, 254), false)
        dxDrawImage(screenW * 0.2168, screenH * 0.9375, screenW * 0.0381, screenH * 0.0469, "files/Icons/Banco.png", 0, 0, 0, tocolor(2, 89, 139, 254), false)
        dxDrawText("$ : "..Dinheiro, screenW * 0.2500, screenH * 0.9141, screenW * 0.3848, screenH * 0.9323, tocolor(255, 255, 255, 255), 1.00, "default-bold", "left", "top", false, false, false, false, false)
        dxDrawText("$ : "..Banco, screenW * 0.2500, screenH * 0.9505, screenW * 0.3848, screenH * 0.9688, tocolor(255, 255, 255, 255), 1.00, "default-bold", "left", "top", false, false, false, false, false)


    end
end



function setHud()
    addEventHandler("onClientRender", getRootElement(), lobaoHud)
    setPlayerHudComponentVisible("armour", false)
    setPlayerHudComponentVisible("wanted", false)
    setPlayerHudComponentVisible("weapon", false)
    setPlayerHudComponentVisible("money", false)
    setPlayerHudComponentVisible("health", false)
    setPlayerHudComponentVisible("clock", false)
    setPlayerHudComponentVisible("breath", false)
    setPlayerHudComponentVisible("ammo", false)

    for _, component in ipairs( components ) do
        setPlayerHudComponentVisible( component, false )
    end
end
addEventHandler("onClientResourceStart", getResourceRootElement(getThisResource()), setHud)

function removeHud()
    setPlayerHudComponentVisible("armour", true)
    setPlayerHudComponentVisible("wanted", true)
    setPlayerHudComponentVisible("weapon", true)
    setPlayerHudComponentVisible("money", true)
    setPlayerHudComponentVisible("health", true)
    setPlayerHudComponentVisible("clock", true)
    setPlayerHudComponentVisible("breath", true)
    setPlayerHudComponentVisible("ammo", true)
end
addEventHandler("onClientResourceStop", getResourceRootElement(getThisResource()), removeHud)